Name:           rlwrap
Version:        0.43
Release:        2%{?dist}
Summary:        Wrapper for GNU readline

License:        GPLv2+
URL:            https://github.com/hanslub42/rlwrap
Source0:        https://github.com/hanslub42/rlwrap/releases/download/v%{version}/rlwrap-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  perl-generators
BuildRequires:  python3-rpm-macros
BuildRequires:  readline-devel

%description
rlwrap is a 'readline wrapper' that uses the GNU readline library to
allow the editing of keyboard input for any other command. Input
history is remembered across invocations, separately for each command;
history completion and search work as in bash and completion word
lists can be specified on the command line.


%prep
%autosetup


%build
%configure
%make_build


%install
%make_install

# Fix shebangs to prevent bogus requirements
%{__sed} -r -i \
    -e 's|^#!.*perl$|#!%{__perl}|g' \
    -e 's|^#!.*python3$|#!%{__python3}|g' \
    $(find %{buildroot}%{_datadir}/%{name}/ -type f)

%check
make check


%files
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/rlwrap
%{_mandir}/*/rlwrap.*
%{_mandir}/man3/RlwrapFilter.*
%{_datadir}/rlwrap



%changelog
* Wed Mar 13 2019 Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com> - 0.43-2
- Fix shebangs and avoid erroneous RPM dependencies
- Rebuilt to change main python from 3.4 to 3.6 (tdawson)

* Sat Aug 25 2018 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.43-1
- Update to 0.43
- Update homepage to GitHub
- Run tests

* Thu Nov 27 2014 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.42-1
- Update to 0.42

* Mon May 19 2014 Michel Salim <salimma@fedoraproject.org> - 0.41-1
- Update to 0.41

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 0.37-6
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul  1 2010 Michel Salim <salimma@fedoraproject.org> - 0.37-1
- Update to 0.37

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.30-2
- Autorebuild for GCC 4.3

* Thu Jan 10 2008 Michel Salim <michel.sylvan@gmail.com> 0.30-1
- Update to 0.30

* Thu Sep 20 2007 Michel Salim <michel.sylvan@gmail.com> 0.28-3
- License field updated

* Mon Feb  5 2007 Michel Salim <michel.salim@gmail.com> 0.28-2
- Rebuild for Fedora 7, removing dependency on libtermcap

* Tue Nov 28 2006 Michel Salim <michel.salim@gmail.com> 0.28-1
- Initial package
